<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Plik źródłowy cuboid.hh</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d9/dae/cuboid_8hh_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">cuboid.hh</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d9/dae/cuboid_8hh.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../db/d1b/_matrix_8hh.html">Matrix.hh</a>&quot;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../dc/dca/_vector_8hh.html">Vector.hh</a>&quot;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../da/dad/shape_8hh.html">shape.hh</a>&quot;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="../../d2/d73/class_cuboid.html">   14</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../d2/d73/class_cuboid.html">Cuboid</a> : <span class="keyword">protected</span> <a class="code" href="../../d7/da7/class_shape.html">Shape</a> {</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="../../d2/d73/class_cuboid.html#a9f788a7def835f24fba6cb47e58527b9">   19</a></span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="../../d2/d73/class_cuboid.html#a9f788a7def835f24fba6cb47e58527b9">kModelCuboid</a> = <span class="stringliteral">&quot;solid/model.dat&quot;</span>;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="../../d2/d73/class_cuboid.html#aaa4d9856dbc96c4eef4bc0dedb9855cd">   25</a></span>&#160;    std::vector&lt;Vector3D&gt; <a class="code" href="../../d2/d73/class_cuboid.html#aaa4d9856dbc96c4eef4bc0dedb9855cd">points</a>;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <a class="code" href="../../d2/d73/class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">Cuboid</a>();</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595">draw</a>(<span class="keyword">const</span> std::string &amp;filename) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;};</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ashape_8hh_html"><div class="ttname"><a href="../../da/dad/shape_8hh.html">shape.hh</a></div></div>
<div class="ttc" id="aclass_cuboid_html_a99d72f5f198a082b067309b2e5847595"><div class="ttname"><a href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595">Cuboid::draw</a></div><div class="ttdeci">void draw(const std::string &amp;filename) const</div><div class="ttdoc">Zapisuje współrzędne prostopadłościanu do pliku Otwiera plik o zadanej nazwie, a następnie zapisuje d...</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4f/cuboid_8cpp_source.html#l00023">cuboid.cpp:23</a></div></div>
<div class="ttc" id="aclass_shape_html"><div class="ttname"><a href="../../d7/da7/class_shape.html">Shape</a></div><div class="ttdoc">Modeluje pojęcie obiektu geometrycznego.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/shape_8hh_source.html#l00012">shape.hh:12</a></div></div>
<div class="ttc" id="a_vector_8hh_html"><div class="ttname"><a href="../../dc/dca/_vector_8hh.html">Vector.hh</a></div></div>
<div class="ttc" id="aclass_cuboid_html_a9f788a7def835f24fba6cb47e58527b9"><div class="ttname"><a href="../../d2/d73/class_cuboid.html#a9f788a7def835f24fba6cb47e58527b9">Cuboid::kModelCuboid</a></div><div class="ttdeci">const std::string kModelCuboid</div><div class="ttdoc">Plik zawierający wzorcowy model prostopadłościanu.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dae/cuboid_8hh_source.html#l00019">cuboid.hh:19</a></div></div>
<div class="ttc" id="a_matrix_8hh_html"><div class="ttname"><a href="../../db/d1b/_matrix_8hh.html">Matrix.hh</a></div></div>
<div class="ttc" id="aclass_cuboid_html_a1abf60e93d024b7a01ee5b1a48f1f08a"><div class="ttname"><a href="../../d2/d73/class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">Cuboid::Cuboid</a></div><div class="ttdeci">Cuboid()</div><div class="ttdoc">Konstruktor dla klasy Cuboid.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4f/cuboid_8cpp_source.html#l00008">cuboid.cpp:8</a></div></div>
<div class="ttc" id="aclass_cuboid_html_aaa4d9856dbc96c4eef4bc0dedb9855cd"><div class="ttname"><a href="../../d2/d73/class_cuboid.html#aaa4d9856dbc96c4eef4bc0dedb9855cd">Cuboid::points</a></div><div class="ttdeci">std::vector&lt; Vector3D &gt; points</div><div class="ttdoc">Zbóir współrzędnych prostopadłościanu.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dae/cuboid_8hh_source.html#l00025">cuboid.hh:25</a></div></div>
<div class="ttc" id="aclass_cuboid_html"><div class="ttname"><a href="../../d2/d73/class_cuboid.html">Cuboid</a></div><div class="ttdoc">Modeluje pojęcie prostopadłościanu.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dae/cuboid_8hh_source.html#l00014">cuboid.hh:14</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="../../d9/dae/cuboid_8hh.html">cuboid.hh</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
